Package com.smartgwt.logicalstructure.widgets

# Class RichTextEditorLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.VLayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.RichTextEditorLogicalStructure

public class RichTextEditorLogicalStructure extends VLayoutLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `alignCenterPrompt`
  `String`
  `alignLeftPrompt`
  `String`
  `alignRightPrompt`
  `String`
  `backgroundColorPrompt`
  `String`
  `boldSelectionPrompt`
  `String`
  `colorPrompt`
  `String`
  `copySelectionPrompt`
  `String`
  `cutSelectionPrompt`
  `String`
  `editAreaBackgroundColor`
  `String`
  `fontSelectorPrompt`
  `String`
  `fontSizeSelectorPrompt`
  `String`
  `indentPrompt`
  `String`
  `italicSelectionPrompt`
  `String`
  `justifyPrompt`
  `String`
  `listPropertiesPrompt`
  `String`
  `listPropertiesWarningText`
  `String`
  `moveFocusOnTab`
  `String`
  `orderedListPrompt`
  `String`
  `outdentPrompt`
  `String`
  `pasteSelectionPrompt`
  `String`
  `strikethroughSelectionPrompt`
  `String`
  `styleWithCSS`
  `String`
  `toolbarBackgroundColor`
  `String`
  `underlineSelectionPrompt`
  `String`
  `unorderedListPrompt`
  `String`
  `useDesignMode`
  `String`
  `value`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure

  `alignAsString, animateMembers, animateMemberTime, canDropComponents, defaultLayoutAlignAsString, defaultResizeBars, dropLineThickness, editProxyConstructor, enforcePolicy, hPolicy, layoutBottomMargin, layoutEndMargin, layoutLeftMargin, layoutMargin, layoutRightMargin, layoutStartMargin, layoutTopMargin, leaveScrollbarGap, locateMembersBy, locateMembersType, managePercentBreadth, memberOverlap, membersAsCanvasArray, membersAsStringArrayArray, membersMargin, minMemberLength, minMemberSize, overflow, paddingAsLayoutMargin, resizeBarClass, resizeBarSize, reverseOrder, showDragPlaceHolder, showDropLines, stackZIndex, vertical, vPolicy`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadiusAsString, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, styleName, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RichTextEditorLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### alignCenterPrompt

    public String alignCenterPrompt

  - ### alignLeftPrompt

    public String alignLeftPrompt

  - ### alignRightPrompt

    public String alignRightPrompt

  - ### backgroundColorPrompt

    public String backgroundColorPrompt

  - ### boldSelectionPrompt

    public String boldSelectionPrompt

  - ### colorPrompt

    public String colorPrompt

  - ### copySelectionPrompt

    public String copySelectionPrompt

  - ### cutSelectionPrompt

    public String cutSelectionPrompt

  - ### editAreaBackgroundColor

    public String editAreaBackgroundColor

  - ### fontSelectorPrompt

    public String fontSelectorPrompt

  - ### fontSizeSelectorPrompt

    public String fontSizeSelectorPrompt

  - ### indentPrompt

    public String indentPrompt

  - ### italicSelectionPrompt

    public String italicSelectionPrompt

  - ### justifyPrompt

    public String justifyPrompt

  - ### listPropertiesPrompt

    public String listPropertiesPrompt

  - ### listPropertiesWarningText

    public String listPropertiesWarningText

  - ### moveFocusOnTab

    public String moveFocusOnTab

  - ### orderedListPrompt

    public String orderedListPrompt

  - ### outdentPrompt

    public String outdentPrompt

  - ### pasteSelectionPrompt

    public String pasteSelectionPrompt

  - ### strikethroughSelectionPrompt

    public String strikethroughSelectionPrompt

  - ### styleWithCSS

    public String styleWithCSS

  - ### toolbarBackgroundColor

    public String toolbarBackgroundColor

  - ### underlineSelectionPrompt

    public String underlineSelectionPrompt

  - ### unorderedListPrompt

    public String unorderedListPrompt

  - ### useDesignMode

    public String useDesignMode

  - ### value

    public String value

- ## Constructor Details

  - ### RichTextEditorLogicalStructure

    public RichTextEditorLogicalStructure()